.pt-m-times-up-warning {
  min-width: 49rem;
  height: 100%;
  margin: 0 auto;
  display: flex !important;
  align-items: center;

  &__backdrop {
    background: rgba($color: $black, $alpha: 0.4);
    opacity: 1 !important;
  }

  &__dialog {
    .rs-modal {
      &-content {
        padding: 0;
      }

      &-body {
        max-height: unset !important;
        margin: 0;
        padding: 0;
        overflow: unset !important;

        & > .__main-icon {
          width: 18.3rem;
          height: 18.3rem;
          margin: 0 auto;
          transform: translateY(-60%);
        }

        & > .__content {
          margin: -10.98rem 0 0 0;
          padding: 3rem 6rem 0 6rem;
          text-align: center;

          & > .__title {
            color: $gunPowder;
            font-family: 'mont_sb';
            font-size: 2.4rem;
            line-height: 2.9rem;
          }

          & > .__description {
            margin: 1.2rem 0 0 0;
            color: $gunPowder;
            line-height: 2rem;
          }
        }
      }

      &-content {
        border-radius: 3.2rem;

        & > .__footer {
          padding: 4.8rem 0 3.2rem 0;
          display: flex;
          align-items: center;
          justify-content: center;

          & > .__btn {
            min-width: 17.6rem;
            min-height: 4.6rem;
            margin: 0 1.2rem;
            border-radius: 2.3rem;

            &.--cancel {
              border: 0.2rem solid $lightSkyBlue;
              color: $dodgerBlue;
              font-family: 'mont_b';
              font-size: 1.8rem !important;
            }

            &.--submit {
              background: linear-gradient($deepSkyBlue, $dodgerBlue);
              color: $white;
              font-family: 'mont_b';
              font-size: 1.8rem !important;
              position: relative;

              &:active {
                &::before {
                  opacity: 1;
                }
              }

              &::before {
                width: 100%;
                height: 100%;
                background: $deepSkyBlue;
                content: 'Submit';
                color: $white;
                display: flex;
                align-items: center;
                justify-content: center;
                font-family: 'mont_b';
                font-size: 1.8rem;
                opacity: 0;
                pointer-events: none;
                position: absolute;
                top: 0;
                left: 0;
                z-index: 1;
              }
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 620px), screen and (max-height: 500px) {
  .pt-m-times-up-warning {
    width: fit-content;
    min-width: unset;
    &__dialog {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      .rs-modal-content {
        width: 28rem;
        height: 24rem;
        & > .__footer {
          padding: 0.8rem 0 3.2rem 0;
          display: flex;
          align-items: center;
          justify-content: center;

          & > .__btn {
            min-width: 10rem;
            min-height: 2.6rem;
            margin: 0 0.6rem;
          }
        }
      }
      .rs-modal-body {
        overflow: unset !important;
        & > .__main-icon {
          width: 9.8rem;
          height: 9.8rem;
        }
        & > .__content {
          margin: -8rem 0 0 0;
          padding: 4rem 3rem 0 3rem;
          & > .__title {
            font-family: 'mont_b';
            font-size: 1.8rem;
            line-height: 1.9rem;
          }

          & > .__description {
            color: $gunPowder;
            line-height: 2rem;
            font-size: 1.6rem;
          }
        }
      }
    }
  }
}
@media screen and (max-height: 390px)  and (min-aspect-ratio:4/3){
  .pt-m-times-up-warning {
    width: fit-content;
    min-width: unset;
    &__dialog {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      .rs-modal-content {
        width: 32rem;
        height: 24rem;
        margin-top: 2.6rem;
        & > .__footer {
          padding: 0.8rem 0 3.2rem 0;
          display: flex;
          align-items: center;
          justify-content: center;

          & > .__btn {
            min-width: 10rem;
            min-height: 2.6rem;
            margin: 0 0.6rem;
          }
        }
      }
      .rs-modal-body {
        overflow: unset !important;
        & > .__main-icon {
          width: 9.8rem;
          height: 9.8rem;
        }
        & > .__content {
          margin: -8rem 0 0 0;
          padding: 4rem 3rem 0 3rem;
          & > .__title {
            font-family: 'mont_b';
            font-size: 1.8rem;
            line-height: 1.9rem;
          }

          & > .__description {
            color: $gunPowder;
            line-height: 2rem;
            font-size: 1.6rem;
          }
        }
      }
    }
  }
}
@media screen and (max-height: 320px) and (min-aspect-ratio:4/3) {
  .pt-m-times-up-warning {
    width: fit-content;
    min-width: unset;
    &__dialog {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      .rs-modal-content {
        width: 32rem;
        height: 19rem;
        & > .__footer {
          padding: 0.8rem 0 3.2rem 0;
          display: flex;
          align-items: center;
          justify-content: center;

          & > .__btn {
            min-width: 10rem;
            min-height: 2.6rem;
            margin: 0 0.6rem;
          }
        }
      }
      .rs-modal-body {
        overflow: unset !important;
        & > .__main-icon {
          width: 7.2rem;
          height: 7.2rem;
        }
        & > .__content {
          margin: -8rem 0 0 0;
          padding: 4rem 3rem 0 3rem;
          & > .__title {
            font-family: 'mont_b';
            font-size: 1.8rem;
            line-height: 1.9rem;
          }

          & > .__description {
            color: $gunPowder;
            line-height: 2rem;
            font-size: 1.6rem;
          }
        }
      }
    }
  }
}